### Signal

# GimpUi BrushSelectButton::brush-set

#### Declaration

    void
    brush_set (
      GimpBrushSelectButton* self,
      gchar* brush_name,
      gdouble opacity,
      gint spacing,
      gint paint_mode,
      gint width,
      gint height,
      gpointer mask_data,
      gboolean dialog_closing,
      gpointer user_data
    )

#### Description [src]

The ::brush-set signal is emitted when the user selects a brush.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
Available since: | 2.4

#### Parameters

`brush_name` | `gchar*`
| The name of the currently selected brush.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`opacity` | `gdouble`
| Opacity of the brush.
`spacing` | `gint`
| Spacing of the brush.
`paint_mode` | `gint`
| Paint mode of the brush.
`width` | `gint`
| Width of the brush.
`height` | `gint`
| Height of the brush.
`mask_data` | An array of `guint8`
| Brush mask data.
`dialog_closing` | `gboolean`
| Whether the dialog was closed or not.